---
title: "Update Status of Domain Name Exceptions from IPS Inspection Allowlist"
slug: "update-status-of-domain-name-exceptions-from-ips-inspection-allowlist"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:37:28Z
published: 2026-09-23T09:37:28Z
canonical: "docs.trellix.com/update-status-of-domain-name-exceptions-from-ips-inspection-allowlist"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Status of Domain Name Exceptions from IPS Inspection Allowlist
This URL updates the status of domain name exceptions specified in the integer list.
## Resource URL
PUT /domainnameexceptions/ipsinspectionallowlist/bulkUpdate
## Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| state | State of the domain names. Either "E" or "D". | String | Yes |
| entryIDs | List of entry id's of domain names to be updated | IntegerList | Yes |
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Set to 1 if the operation was successful | Number |
## Example
**Request**
PUT [https:///sdkapi/domainnameexceptions/ipsinspectionallowlist/bulkUpdate](https://%3CNSM_IP%3E/sdkapi/domainnameexceptions/ipsinspectionwhitelist/bulkUpdate)
**Payload**
```
{
"state": “D”
“entryIDs”: [10118,10119]
}
```
## **Response**
```
{
“status”:1
}
```
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error message: Internal server error |
| 2 | 500 | 1001 | Internal error message: Error while bulk update |